<mat-card fxLayout="column" (click)="onCardClick()" class="product-card clickable">
  <img fxFlexAlign="center" class="product-card__image" [src]="variant?.thumbnail" alt="Thumbnail of the Product">
  <p class="product-card__title">{{ variant?.title }}</p>
  <p>{{ variant?.price }} USDC</p>
  <pm-add-to-cart [product]="product" (addToCartClicked)="addToCart($event)" (variantChanged)="variantChanged($event)">
  </pm-add-to-cart>
</mat-card>
